<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.microprofile-health-smallrye" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="empty-liveness-checks-status,empty-readiness-checks-status,empty-startup-checks-status,security-enabled"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.microprofile-health-smallrye"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.extension.health.http-context.security-enabled"/>
        <capability name="$profile.org.wildfly.extension.microprofile.health.http-context"/>
        <capability name="$profile.org.wildfly.extension.microprofile.health.reporter"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.weld"/>
        <capability name="org.wildfly.extension.health.http-context"/>
        <capability name="org.wildfly.extension.health.server-probes"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="extension" default="org.wildfly.extension.microprofile.health-smallrye"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="empty-startup-checks-status" nillable="true" stability="default"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="microprofile-health-smallrye"/>
        <param name="empty-liveness-checks-status" nillable="true" stability="default"/>
        <param name="empty-readiness-checks-status" nillable="true" stability="default"/>
        <param name="security-enabled" nillable="true" stability="default"/>
    </params>
    <packages>
        <package name="org.wildfly.extension.microprofile.health-smallrye"/>
    </packages>
</feature-spec>